from typing import TypedDict, List, Dict, Any

BotResponse = TypedDict('BotResponse', {
    'message': str,
    'attachment_urls': List[str] | None
})

Character = TypedDict('Character', {
    'id': int,
    'name': str,
    'rarity': int,
    'weight': float,
    'image_url': str
})

ParsedNotification = TypedDict('ParsedNotification', {
    'author': str,
    'command': str | None,
    'arguments': List[str],
    'note_obj': Dict[str, Any]
})
